Application Review
curl --request POST \
--url https://{host}/api/solution-applications/{identity}/reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseline_run_id": "<string>",
"candidate_run_id": "<string>",
"request_id": "<string>",
"evidence_digest": "<string>",
"comment": "<string>"
}
'import requests
url = "https://{host}/api/solution-applications/{identity}/reviews"
payload = {
"baseline_run_id": "<string>",
"candidate_run_id": "<string>",
"request_id": "<string>",
"evidence_digest": "<string>",
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
baseline_run_id: '<string>',
candidate_run_id: '<string>',
request_id: '<string>',
evidence_digest: '<string>',
comment: '<string>'
})
};
fetch('https://{host}/api/solution-applications/{identity}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"digest": "<string>",
"status": "pass",
"baseline_run_id": "<string>",
"candidate_run_id": "<string>",
"blockers": [
"<string>"
],
"metrics": [
{
"round_id": "<string>",
"key": "<string>",
"unit": "<string>",
"direction": "higher",
"min_delta": 123,
"status": "pass",
"baseline": 123,
"candidate": 123,
"delta": 123,
"reason": ""
}
],
"evidence": {},
"baseline_attempt": 123,
"candidate_attempt": 123,
"review": {
"id": "<string>",
"evidence_digest": "<string>",
"reviewer": "<string>",
"decision": "approve",
"comment": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"reviews": [
{
"id": "<string>",
"evidence_digest": "<string>",
"reviewer": "<string>",
"decision": "approve",
"comment": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Application Review
POST
/
api
/
solution-applications
/
{identity}
/
reviews
Application Review
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 128Required string length:
1 - 128Pattern:
^[0-9a-f]{32}$Pattern:
^[0-9a-f]{64}$Available options:
approve, reject Required string length:
1 - 4000Response
Successful Response
Available options:
pass, fail, insufficient, review_required Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes